This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 639682 - RFE: update to sudo 1.7.2, add /etc/sudoers.d
RFE: update to sudo 1.7.2, add /etc/sudoers.d
Status: CLOSED DUPLICATE of bug 615087
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sudo (Show other bugs)
6.1
All Linux
high Severity high
: rc
: ---
Assigned To: Daniel Kopeček
BaseOS QE Security Team
: FutureFeature
: 690118 (view as bug list)
Depends On: 551470
Blocks: 565939 607923
  Show dependency treegraph
 
Reported: 2010-10-03 06:13 EDT by Moran Goldboim
Modified: 2013-01-09 01:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 551470
Environment:
Last Closed: 2010-11-23 05:10:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Moran Goldboim 2010-10-03 06:13:59 EDT
+++ This bug was initially created as a clone of Bug #551470 +++

sudo 1.7.2 contains a new useful #includedir directive; it can be used to implement a /etc/sudoers.d directory to which for example packages can drop their sudoers snippets.

http://www.sudo.ws/cgi-bin/cvsweb/sudo/WHATSNEW?rev=1.21&content-type=text/x-cvsweb-markup
http://www.sudo.ws/cgi-bin/cvsweb/sudo/sudoers.pod.diff?r1=1.165&r2=1.166&f=h

--- Additional comment from dkopecek@redhat.com on 2010-01-07 11:02:17 EST ---

Updated:
 http://koji.fedoraproject.org/koji/buildinfo?buildID=149861

--- Additional comment from ville.skytta@iki.fi on 2010-01-08 15:47:08 EST ---

Thanks, but that build does not yet create or use the /etc/sudoers.d dir.  The attached (build tested only) patch should do the trick.

--- Additional comment from ville.skytta@iki.fi on 2010-01-08 15:48:01 EST ---

Created attachment 382550 [details]
Create and use /etc/sudoers.d by default

(Also includes an unrelated *.pod/man duplicate removal tweak.)

--- Additional comment from ville.skytta@iki.fi on 2010-01-08 15:49:43 EST ---

Created attachment 382551 [details]
/etc/sudoers part of the patch

--- Additional comment from dkopecek@redhat.com on 2010-01-12 08:23:43 EST ---

Thanks for the patches.

http://koji.fedoraproject.org/koji/buildinfo?buildID=150558
Comment 1 Moran Goldboim 2010-10-03 06:15:55 EDT
Blocks RHEV
Comment 2 Daniel Kopeček 2010-11-23 05:10:13 EST

*** This bug has been marked as a duplicate of bug 615087 ***
Comment 3 Daniel Kopeček 2011-03-23 12:45:41 EDT
*** Bug 690118 has been marked as a duplicate of this bug. ***
Comment 4 Dan Kenigsberg 2011-03-23 13:16:26 EDT
(In reply to comment #3)
> *** Bug 690118 has been marked as a duplicate of this bug. ***

If this is the case, this bug should be reopened. /etc/sudoers that is shipped with sudo-1.7.4p5-3.el6.x86_64.rpm does not includedir /etc/sudoers.d/
Comment 5 Daniel Kopeček 2011-03-24 08:06:14 EDT
Fixed in sudo-1.7.4p5-4.el6

Note You need to log in before you can comment on or make changes to this bug.